package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.iasf.entity.SysNavigationIcon;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/**
 * <p>
 * 导航图标设置 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2024-07-04
 */
public interface SysNavigationIconMapper extends BaseMapper<SysNavigationIcon> {
    // 更新单个记录的sort_order
    void updateSortOrder(@Param("id") Integer id, @Param("sortOrder") Integer sortOrder,@Param("icon") String icon);

    List<SysNavigationIcon> listBySiteIdAndStatus(@Param("siteId") Integer siteId,
                                                  @Param("isDisable") Integer disableStatus,
                                                  @Param("search") String search);


}
