package com.huoran.iasf.service;

import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysFloatingColumnSchemeScopeOfApplication;
import com.huoran.iasf.entity.SysFooterSetup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.entity.SysFooterSetupScopeOfApplication;
import com.huoran.iasf.vo.ConflictCheckResultVO;
import com.huoran.iasf.vo.req.SuspensionBarListPagingReq;

import java.util.List;

/**
 * <p>
 * 页脚配置 服务类
 * </p>
 *
 * @author cheney
 * @since 2024-06-07
 */
public interface SysFooterSetupService extends IService<SysFooterSetup> {

    R footerList(SuspensionBarListPagingReq sysFloatingColumnScheme);

    R checkEnableOrDisable(Integer id, Integer isDisable);

    R showTheFooterAccordingToTheColumn(String columnId);

    ConflictCheckResultVO preCheckMultiScopeConflictBeforeUpdate(
            Integer siteId, List<SysFooterSetupScopeOfApplication> updatedScopes, Integer floatingBarSchemeId);
}
