package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.entity.SysNavigationIcon;
import com.huoran.iasf.vo.req.SortOrderReq;

import java.util.List;

/**
 * <p>
 * 导航图标设置 服务类
 * </p>
 *
 * @author cheney
 * @since 2024-07-04
 */
public interface SysNavigationIconService extends IService<SysNavigationIcon> {
    List<SysNavigationIcon> listBySiteIdAndStatus(Integer siteId, Integer disableStatus,String  search);


    void batchUpdateSortOrder(List<SortOrderReq> sortOrderRequests);

    boolean existsOtherByTitle(String title, Integer id, Integer siteId);

    boolean existsByTitle(String title, Integer siteId);
}
