package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.ProductDetails;
import com.huoran.iasf.vo.req.PageContentReqVO;
import com.huoran.iasf.vo.req.PageCourseProductReq;

/**
 * <p>
 * 综合产品与课程详情信息表 服务类
 * </p>
 *
 * @author cheney
 * @since 2024-06-12
 */
public interface SysProductDetailsService extends IService<ProductDetails> {

    boolean existsByProductName(String name,Integer siteId);

    boolean existsOtherByProductName(String name, Integer currentId,Integer siteId);

    Integer statisticsOfPageViews(Integer id);

    R courseProduct(PageCourseProductReq sysContent);

    ProductDetails foregroundPreview(Integer id);
}
