package com.huoran.iasf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.iasf.entity.SysSubjectSpecialty;
import com.huoran.iasf.mapper.SysSubjectSpecialtyMapper;
import com.huoran.iasf.service.SysSubjectSpecialtyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 适用学科专业配置 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2024-06-13
 */
@Service
public class SysSubjectSpecialtyServiceImpl extends ServiceImpl<SysSubjectSpecialtyMapper, SysSubjectSpecialty> implements SysSubjectSpecialtyService {

    @Override
    public void removeByTemplateDetailsId(Integer id) {
        QueryWrapper<SysSubjectSpecialty> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("template_details_id", id);
        this.remove(queryWrapper);
    }

    @Override
    public List<SysSubjectSpecialty> getByTemplateDetailsId(Integer id) {
        QueryWrapper<SysSubjectSpecialty> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("template_details_id", id);
        return baseMapper.selectList(queryWrapper);
    }
}
