package com.huoran.iasf.vo;

import com.huoran.iasf.entity.ProductDetails;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * 学科
 * </p>
 *
 * @author cheney
 * @since 2024-06-17
 */
@Data
public class DisciplineAndSpecialtyVO {

    @ApiModelProperty(value = "综合产品与课程详情")
    private ProductDetails productDetails;

    @ApiModelProperty(value = "学科名称")
    private String disciplineName;

    @ApiModelProperty(value = "专业类名称")
    private String professionalClassName;

    @ApiModelProperty(value = "专业名称")
    private String professionalName;



}
