package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 学科
 * </p>
 *
 * @author cheney
 * @since 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_discipline")
@ApiModel(value = "Discipline对象", description = "学科")
public class Discipline implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "discipline_id", type = IdType.AUTO)
    private Integer disciplineId;

    @ApiModelProperty(value = "学科名称")
    private String disciplineName;


    @TableField(exist = false)
    List<ProfessionalClass> professionalClasses;
}
