package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @描述：系统logo设置
 * @作者: Rong
 * @日期: 2024-07-01
 */
@Data
@ApiModel(value = "系统logo设置")
@TableName("sys_logo")
public class Logo implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "图标")
    private String logoUrl;

    @ApiModelProperty(value = "白底图标")
    private String whiteUrl;

    @ApiModelProperty(value = "站点id")
    private Integer siteId;


}