package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 专业
 * </p>
 *
 * @author cheney
 * @since 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_professional")
@ApiModel(value = "Professional对象", description = "专业")
public class Professional implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "专业主键id")
    @TableId(value = "professional_id", type = IdType.AUTO)
    private Integer professionalId;

    @ApiModelProperty(value = "专业名称")
    private String professionalName;

    @ApiModelProperty(value = "专业类id")
    private Integer professionalClassId;


}
