package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 专业类
 * </p>
 *
 * @author cheney
 * @since 2024-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_professional_class")
@ApiModel(value = "ProfessionalClass对象", description = "专业类")
public class ProfessionalClass implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "专业类主键id")
    @TableId(value = "professional_class_id", type = IdType.AUTO)
    private Integer professionalClassId;

    @ApiModelProperty(value = "专业类名称")
    private String professionalClassName;

    @ApiModelProperty(value = "学科层次id")
    private Integer disciplineId;

    @TableField(exist = false)
    List<Professional> professionals;
}
