package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 悬浮栏方案设置
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysFloatingColumnSchemeModule对象", description = "悬浮栏方案设置")
public class SysFloatingColumnSchemeModule implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "悬浮栏方案id")
    private Integer floatingBarSchemeId;

    @ApiModelProperty(value = "图片地址")
    private String pictureAddress;

    @ApiModelProperty(value = "方案标题")
    private String schemeTitle;

    @ApiModelProperty(value = "方案内容(json)")
    private String schemeContentJson;

    @ApiModelProperty(value = "是否禁用(0默认，0启用 1禁用)")
    private Integer isDisable;


}
