package com.huoran.iasf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 页脚应用范围
 * </p>
 *
 * @author cheney
 * @since 2024-06-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysFooterSetupScopeOfApplication对象", description = "页脚应用范围")
public class SysFooterSetupScopeOfApplication implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "页脚主键")
    private Integer footerId;

    @ApiModelProperty(value = "应用范围id(为0表示网站全局，其余为栏目表主键)")
    private String applicationScopeId;


}
