package com.huoran.iasf.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.iasf.entity.SysFooterSetup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.iasf.vo.FooterListVO;
import com.huoran.iasf.vo.SysFloatingColumnSchemeScopeOfApplicationWithSiteIdVO;
import com.huoran.iasf.vo.SysFloatingColumnSchemeVO;
import com.huoran.iasf.vo.SysPageFooterScopeOfApplicationWithSiteIdVO;
import com.huoran.iasf.vo.req.SuspensionBarListPagingReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 页脚配置 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2024-06-07
 */
public interface SysFooterSetupMapper extends BaseMapper<SysFooterSetup> {

    IPage<FooterListVO> footerList(Page<FooterListVO> page, @Param("req") SuspensionBarListPagingReq sysFloatingColumnScheme);
 
    List<SysPageFooterScopeOfApplicationWithSiteIdVO> selectEnabledScopesForMultiConflictCheck(
            @Param("siteId") Integer siteId,
            @Param("excludeSchemeIds") List<String> excludeSchemeIds,@Param("floatingBarSchemeId")Integer floatingBarSchemeId);
}
