package com.huoran.iasf.service;

import com.huoran.iasf.entity.Category;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 产品与课程分类表 服务类
 * </p>
 *
 * @author cheney
 * @since 2024-06-12
 */
public interface SysCategoryService extends IService<Category> {

    boolean existsOtherByName(String name, Integer categoryId,Integer siteId, Integer type);

    boolean existsByName(String name,Integer siteId, Integer type);

    boolean checkDelete(Integer siteId, Integer categoryId, Integer type);


    String queryLabelsReferencedWithinSite(Integer siteId,Integer type);

    List<Category> lookUpTheTypeOfReferenceBySite(Integer siteId,Integer type);
}
