package com.huoran.iasf.service;

import com.huoran.iasf.entity.SysFloatingColumnSchemeScopeOfApplication;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 悬浮栏应用范围 服务类
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
public interface SysFloatingColumnSchemeScopeOfApplicationService extends IService<SysFloatingColumnSchemeScopeOfApplication> {

    //根据floatingBarSchemeId获取应用范围列表
    List<SysFloatingColumnSchemeScopeOfApplication> getScopeOfApplicationByFloatingBarSchemeId(Integer floatingBarSchemeId);

    //删除
    void deleteByFloatingBarSchemeId(Integer floatingBarSchemeId);


    List<String> getScopeIdsBySchemeId(Integer id);
}
