package com.huoran.iasf.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.iasf.common.utils.R;
import com.huoran.iasf.entity.SysFloatingColumnScheme;
import com.huoran.iasf.entity.SysFloatingColumnSchemeScopeOfApplication;
import com.huoran.iasf.vo.ConflictCheckResultVO;
import com.huoran.iasf.vo.req.ApplicationScopeCheckReq;
import com.huoran.iasf.vo.req.SuspensionBarListPagingReq;

import java.util.List;

/**
 * <p>
 * 悬浮栏方案 服务类
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
public interface SysFloatingColumnSchemeService extends IService<SysFloatingColumnScheme> {

    R floatingBarList(SuspensionBarListPagingReq req);

    R enableOrDisableScheme(Integer schemeId, Integer enable);

    R checkEnableOrDisable(Integer schemeId, Integer enable);

    R columnDisplayFloatingBar(String columnId);


    ConflictCheckResultVO preCheckMultiScopeConflictBeforeUpdate(
           Integer siteId, List<SysFloatingColumnSchemeScopeOfApplication> updatedScopes,Integer floatingBarSchemeId);

}
