package com.huoran.iasf.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.iasf.entity.SysFloatingColumnSchemeScopeOfApplication;
import com.huoran.iasf.entity.SysFooterSetupScopeOfApplication;
import com.huoran.iasf.mapper.SysFooterSetupScopeOfApplicationMapper;
import com.huoran.iasf.service.SysFooterSetupScopeOfApplicationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 页脚应用范围 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2024-06-07
 */
@Service
public class SysFooterSetupScopeOfApplicationServiceImpl extends ServiceImpl<SysFooterSetupScopeOfApplicationMapper, SysFooterSetupScopeOfApplication> implements SysFooterSetupScopeOfApplicationService {

    @Override
    public void deleteTheRangeBasedOnTheFooterId(Integer id) {
        QueryWrapper<SysFooterSetupScopeOfApplication> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("footer_id", id);
        this.remove(queryWrapper);
    }
}
