package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PageCourseProductReq extends PageReqVO {

    //栏目id
    @ApiModelProperty(value = "栏目id", name = "columnId", example = "1", required = true)
    private Integer columnId;

    //站点id
    @ApiModelProperty(value = "站点id", name = "siteId", example = "1", required = true)
    private Integer siteId;

    @ApiModelProperty(value = "类型")
    private Integer categoryId;

    @ApiModelProperty(value = "分类(多选)")
    private Integer classificationTagId;

    @ApiModelProperty("排序筛选参数(1.综合排序2.热销排序3.发布时间)")
    private Integer sortFiltering;

    @ApiModelProperty("时间排序(asc,desc)")
    private String timeOrdering;

    //搜索条件
    @ApiModelProperty(value = "搜索条件")
    private String keyWord;

    //筛选条件：官方精选
    @ApiModelProperty(value = "筛选条件：官方精选")
    private Integer selection;


    @ApiModelProperty(value = "学科类别id，仅产品使用，可为空")
    private Integer subjectCategoryId;

    @ApiModelProperty(value = "专业类别id，仅产品使用，可为空")
    private Integer professionalCategoryId;

    @ApiModelProperty(value = "专业id，仅产品使用，可为空")
    private Integer majorId;


}