package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 悬浮栏方案
 * </p>
 *
 * @author cheney
 * @since 2024-06-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SuspensionBarListPagingReq对象", description = "悬浮栏列表请求参数")
public class SuspensionBarListPagingReq extends PageReqVO {


    @ApiModelProperty(value = "搜索参数")
    private String search;

    @ApiModelProperty(value = "站点id")
    private Integer siteId;

   /* @ApiModelProperty(value = "是否为前台(用于区分前台和后台,1为前台，0为后台)")
    private Integer isForeground;*/

}
